get_iplayer forums

Full Version: Failed to download schedule page with get_iplayer v3.06
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Hi,
I cannot get iplayer (web PVR or terminal prompt) to refresh cache. I believe I have successfully erased and reinstalled - to ensure I have a correct version of latest.
Can you advise?
Some diagnostics below:

get_iplayer Output:


get_iplayer -V  =  get_iplayer v3.06
perl -MIO::Socket::SSL -e 'print "$IO::Socket::SSL::VERSION\n";' = 2.052
perl -MMojolicious -e 'print "$Mojolicious::VERSION\n";' = 7.55
PERL5LIB="/usr/local/Cellar/get_iplayer/3.06_1/libexec/lib/perl5" perl -MIO::Socket::SSL -e 'print "$IO::Socket::SSL::VERSION\n";' = 1.966
PERL5LIB="/usr/local/Cellar/get_iplayer/3.06_1/libexec/lib/perl5" perl -MMojolicious -e 'print "$Mojolicious::VERSION\n";' =  Can't locate Mojolicious.pm in @INC
get_iplayer --refresh =
INFO: Indexing tv programmes (concurrent)
...............
WARNING: Failed to download schedule page: http://www.bbc.co.uk/bbcfour/programmes/.../this_week
.
WARNING: Failed to download ..... ETC!
--
Testing on a specific:
get_iplayer --since 24 "daily politics" >

get_iplayer v3.06, Copyright (C) 2008-2010 Phil Lewis
 This program comes with ABSOLUTELY NO WARRANTY; for details use --warranty.
 This is free software, and you are welcome to redistribute it under certain
 conditions; use --conditions for details.

WARNING: Ignoring future programme (b09g8c4p): '945: Daily Politics - 13/11/2017 - 2017-11-13T12:00:00+00:00'
WARNING: Ignoring future programme (b09g8c94): '946: Daily Politics - 14/11/2017 - 2017-11-14T12:00:00+00:00'
WARNING: Ignoring future programme (b09g8cdb): '947: Daily Politics - 15/11/2017 - 2017-11-15T11:30:00+00:00'
WARNING: Ignoring future programme (b09g8cgl): '948: Daily Politics - 16/11/2017 - 2017-11-16T12:00:00+00:00'
WARNING: Ignoring future programme (b09g8cs6): '949: Daily Politics - 17/11/2017 - 2017-11-17T12:00:00+00:00'
WARNING: Use --future to download future programmes that are already available from iPlayer
Matches:
943: Daily Politics - 06/11/2017, BBC Parliament, b09dlt21
944: Daily Politics - 07/11/2017, BBC Parliament, b09dlt8b
INFO: 2 matching programmes
WARNING: .../edited/... to suppress this warning.
--
Having deleted the cache completley I have nothing in it and cannot refresh. I do normally use get_iplayer_web_pvr (in Firefox 56.0.2), but all the above data pasted direct from Terminal (Mac OS 10.12.6)

What have I missed?!

Many thanks
Probably the same as this issue:

https://squarepenguin.co.uk/forums/thread-1548.html

Take a look at the URL you are failing to fetch, it's http. That suggests you're not being redirected to the https version (which iPlayer now forces) so the problem might be the same as linked.
Thanks. I had read that prevoiusly but thought everything possible was up to date. I'm up against the limits of my technical knowledge here! how can I test whether, for example, I have "set up a local library for Perl modules". On the specific of the IO::Socket::SSL, I believe I'm on the latest? Any clues? I have read the install instructions - and thoguht I'd followed all steps clearly yesterday (after deleting and reinstalling all modules). It's possible I missed something, but can't diagnose what...or how to fix it.
Many thanks
The fact that you got matches from get_iplayer --since 24 "daily politics" shows that your cache had been successfully updated within the previous 24 hours. So, the place to start is with whatever you did to your system that could have broken get_iplayer. Only you would know. Failing that, post the output from:
Code:
perl -V
perl -MLWP::Protocol::https -e 'print "$LWP::Protocol::https::VERSION\n";'
And also
Code:
perl -MNet::SSLeay -e 'print "$Net::SSLeay::VERSION\n";'